%global _qtver Qt5
%global __cmake_in_source_build 1

Name:    qbittorrent
Summary: A Bittorrent Client
Version: 4.6.3
Release: 2%{?dist}
License: GPLv2+
URL:     https://www.qbittorrent.org

Source0: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz.asc
Source2: https://github.com/qbittorrent/qBittorrent/raw/master/5B7CC9A2.asc
Source3: qbittorrent-nox.README

ExcludeArch:   %{ix86}

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: gnupg2
BuildRequires: ninja-build
BuildRequires: systemd
%if 0%{?_with_qt6}
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-linguist
%else
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Svg)
BuildRequires: qt5-linguist
%endif
BuildRequires: pkgconfig(zlib)
BuildRequires: rb_libtorrent-devel >= 1.2.12
BuildRequires: desktop-file-utils
BuildRequires: boost-devel >= 1.60
BuildRequires: libappstream-glib

Requires: python3
%if 0%{?_with_qt6}
Recommends: (qgnomeplatform-qt6 if gnome-shell)
Recommends: (qgnomeplatform-qt6 if cinnamon)
Requires:   qt6-qtsvg
%else
Recommends: (qgnomeplatform-qt5 if gnome-shell)
Recommends: (qgnomeplatform-qt5 if cinnamon)
Requires:   qt5-qtsvg
%endif

%description
A Bittorrent client using rb_libtorrent and a %{_qtver} Graphical User Interface.
It aims to be as fast as possible and to provide multi-OS, unicode support.

%package nox
Summary: A Headless Bittorrent Client

%description nox
A Headless Bittorrent client using rb_libtorrent.
It aims to be as fast as possible and to provide multi-OS, unicode support.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup
cp %{SOURCE3} .

%build
mkdir build-nox
pushd build-nox
%cmake \
 -DSYSTEMD=ON \
 -Wno-dev \
 -GNinja \
%if 0%{?_with_qt6}
 -DQT6=ON \
%endif
 -DGUI=OFF \
 ..
%cmake_build
popd

mkdir build
pushd build
%cmake \
 -Wno-dev \
%if 0%{?_with_qt6}
 -DQT6=ON \
%endif
 -GNinja \
 ..
%cmake_build
popd

%install
pushd build-nox
%cmake_install
popd

pushd build
%cmake_install
popd

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/org.qbittorrent.qBittorrent.desktop

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.qbittorrent.qBittorrent.appdata.xml

%files
%license COPYING
%doc README.md AUTHORS Changelog
%{_bindir}/qbittorrent
%{_metainfodir}/org.qbittorrent.qBittorrent.appdata.xml
%{_datadir}/applications/org.qbittorrent.qBittorrent.desktop
%{_datadir}/icons/hicolor/*/apps/qbittorrent.*
%{_datadir}/icons/hicolor/*/status/qbittorrent-tray*
%{_mandir}/man1/qbittorrent.1*

%files nox
%license COPYING
%doc qbittorrent-nox.README AUTHORS Changelog
%{_bindir}/qbittorrent-nox
%{_unitdir}/qbittorrent-nox@.service
%{_mandir}/man1/qbittorrent-nox.1*

%changelog
* Tue Apr 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.3-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.3-1
- initial build
